> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Form Values



## OpenAPI

````yaml /openapi/mio-openapi.json get /api/v1/hub/{hub_id}/forms/values
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/hub/{hub_id}/forms/values:
    get:
      tags:
        - forms
      summary: Read Form Values
      operationId: forms.get_forms_get_hub_by_hub_id_forms_values
      parameters:
        - in: path
          name: hub_id
          required: true
          schema:
            title: Hub Id
            type: string
        - in: query
          name: page_id
          required: true
          schema:
            pattern: >-
              ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
            title: Page Id
            type: string
        - in: query
          name: node_id
          required: true
          schema:
            maxLength: 128
            minLength: 1
            title: Node Id
            type: string
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiResponse_FormValuesAttributes_'
          description: Visible values for this member and form.
        '401':
          description: A valid contact Bearer access token is required.
        '404':
          description: The form is unavailable to this member.
        '422':
          description: The page_id or node_id query parameter is malformed.
        '429':
          description: Rate limited.
      security:
        - HTTPBearer: []
components:
  schemas:
    JsonApiResponse_FormValuesAttributes_:
      properties:
        data:
          $ref: '#/components/schemas/JsonApiResource_FormValuesAttributes_'
        included:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Included
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - data
      title: JsonApiResponse[FormValuesAttributes]
      type: object
    JsonApiResource_FormValuesAttributes_:
      properties:
        attributes:
          $ref: '#/components/schemas/FormValuesAttributes'
        id:
          title: Id
          type: string
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        relationships:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Relationships
        type:
          title: Type
          type: string
      required:
        - id
        - type
        - attributes
      title: JsonApiResource[FormValuesAttributes]
      type: object
    JsonApiLinks:
      properties:
        self:
          anyOf:
            - type: string
            - type: 'null'
          title: Self
      title: JsonApiLinks
      type: object
    FormValuesAttributes:
      additionalProperties: false
      description: Visible values for one form, keyed by the form's wire keys.
      properties:
        fields:
          additionalProperties:
            $ref: '#/components/schemas/JsonValue'
          title: Fields
          type: object
      required:
        - fields
      title: FormValuesAttributes
      type: object
    JsonValue: {}
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.